

# ListBackupVaults
<a name="API_ListBackupVaults"></a>

Returns a list of recovery point storage containers along with information about them.

## Request Syntax
<a name="API_ListBackupVaults_RequestSyntax"></a>

```
GET /backup-vaults/?maxResults=MaxResults&nextToken=NextToken&shared=ByShared&vaultType=ByVaultType HTTP/1.1
```

## URI Request Parameters
<a name="API_ListBackupVaults_RequestParameters"></a>

The request uses the following URI parameters.

 ** [ByShared](#API_ListBackupVaults_RequestSyntax) **   <a name="Backup-ListBackupVaults-request-uri-ByShared"></a>
This parameter will sort the list of vaults by shared vaults.

 ** [ByVaultType](#API_ListBackupVaults_RequestSyntax) **   <a name="Backup-ListBackupVaults-request-uri-ByVaultType"></a>
This parameter will sort the list of vaults by vault type.  
Valid Values: `BACKUP_VAULT | LOGICALLY_AIR_GAPPED_BACKUP_VAULT | RESTORE_ACCESS_BACKUP_VAULT` 

 ** [MaxResults](#API_ListBackupVaults_RequestSyntax) **   <a name="Backup-ListBackupVaults-request-uri-MaxResults"></a>
The maximum number of items to be returned.  
Valid Range: Minimum value of 1. Maximum value of 1000.

 ** [NextToken](#API_ListBackupVaults_RequestSyntax) **   <a name="Backup-ListBackupVaults-request-uri-NextToken"></a>
The next item following a partial list of returned items. For example, if a request is made to return `MaxResults` number of items, `NextToken` allows you to return more items in your list starting at the location pointed to by the next token.

## Request Body
<a name="API_ListBackupVaults_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListBackupVaults_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "BackupVaultList": [ 
      { 
         "BackupVaultArn": "string",
         "BackupVaultName": "string",
         "CreationDate": number,
         "CreatorRequestId": "string",
         "EncryptionKeyArn": "string",
         "EncryptionKeyType": "string",
         "LockDate": number,
         "Locked": boolean,
         "MaxRetentionDays": number,
         "MinRetentionDays": number,
         "NumberOfRecoveryPoints": number,
         "VaultState": "string",
         "VaultType": "string"
      }
   ],
   "NextToken": "string"
}
```

## Response Elements
<a name="API_ListBackupVaults_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [BackupVaultList](#API_ListBackupVaults_ResponseSyntax) **   <a name="Backup-ListBackupVaults-response-BackupVaultList"></a>
An array of backup vault list members containing vault metadata, including Amazon Resource Name (ARN), display name, creation date, number of saved recovery points, and encryption information if the resources saved in the backup vault are encrypted.  
Type: Array of [BackupVaultListMember](API_BackupVaultListMember.md) objects

 ** [NextToken](#API_ListBackupVaults_ResponseSyntax) **   <a name="Backup-ListBackupVaults-response-NextToken"></a>
The next item following a partial list of returned items. For example, if a request is made to return `MaxResults` number of items, `NextToken` allows you to return more items in your list starting at the location pointed to by the next token.  
Type: String

## Errors
<a name="API_ListBackupVaults_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InvalidParameterValueException **   
Indicates that something is wrong with a parameter's value. For example, the value is out of range.    
 ** Context **   
  
 ** Type **   

HTTP Status Code: 400

 ** MissingParameterValueException **   
Indicates that a required parameter is missing.    
 ** Context **   
  
 ** Type **   

HTTP Status Code: 400

 ** ResourceNotFoundException **   
A resource that is required for the action doesn't exist.    
 ** Context **   
  
 ** Type **   

HTTP Status Code: 400

 ** ServiceUnavailableException **   
The request failed due to a temporary failure of the server.    
 ** Context **   
  
 ** Type **   

HTTP Status Code: 500

## See Also
<a name="API_ListBackupVaults_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/backup-2018-11-15/ListBackupVaults) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/backup-2018-11-15/ListBackupVaults) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/backup-2018-11-15/ListBackupVaults) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/backup-2018-11-15/ListBackupVaults) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/backup-2018-11-15/ListBackupVaults) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/backup-2018-11-15/ListBackupVaults) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/backup-2018-11-15/ListBackupVaults) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/backup-2018-11-15/ListBackupVaults) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/backup-2018-11-15/ListBackupVaults) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/backup-2018-11-15/ListBackupVaults) 